Name:           ocaml-ppx-ignore-instrumentation
Version:        0.17.0
Release:        %autorelease
Summary:        Ignore Jane Street specific instrumentation extensions

License:        MIT
URL:            https://github.com/janestreet/ppx_ignore_instrumentation
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_ignore_instrumentation-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
A PPX that removes the AST nodes for instrumentation extensions, like
`[%probe]`, which are currently internal to Jane Street.

Instrumentation extensions don't have semantic effects during normal
execution so are safe to ignore.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_ignore_instrumentation-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
